#!/bin/sh
# This shell script is run before Openbox launches.
# Environment variables set here are passed to the Openbox session.

# D-bus session
if which dbus-launch >/dev/null && test -z "$DBUS_SESSION_BUS_ADDRESS"; then
       eval `dbus-launch --sh-syntax --exit-with-session`
fi

#applique les paramètres résolution/écrans ; apply screen and resolution parameters
~/.screenlayout/*.sh

## Desktop environment

#suspend to ram à 3% de batterie ; suspend to ram when battery reaches 3%
~/.scripts/autosuspend.sh &

#jolis fondus et transparence ; nice fadings and transparency
#xcompmgr -CfF &

#panel
fbpanel &

#fond d'écran, également mis au bureau pcmanfm
# wallpaper, also applied to pcmanfm's desktop
(if [ -e ~/.config/wallpaper ];then bkgimg="$(<~/.config/wallpaper)"
else bkgimg="$(find $(<~/.config/wallpapers-folder) -type f |sort -R |tail -1)";fi
feh --bg-scale "$bkgimg"
sed -i "s|^wallpaper=.*$|wallpaper=$bkgimg|" ~/.config/pcmanfm/default/pcmanfm.conf

#icônes du bureau ; desktop icons
#pcmanfm --desktop &
) &

#éteint l'écran après 10mn d'inactivité ; screen switches off after 10mn idle
xset dpms 0 0 600

#moniteur de batterie en tray ; tray battery monitor
#BatterySystemTray &

#réglage du volume sonore en tray ; tray sound volume control
#volumeicon &

#wicd tray
#wicd-client &

#addons
(while [ -z "$(pidof openbox)" ];do sleep 1;done;for addon in /addons/xsession/*;do ($addon &);done) &
