#!/bin/bash
# Released under the WTFPL, without any warranty of any kind.

case "$LANG" in
 fr*)
  wtitlefile="Choisissez votre fond d'écran"
  wtitlefolder="Choisissez le dossier de fonds d'écran"
 ;;
 *)
  wtitlefile="Choose your wallpaper"
  wtitlefolder="Choose your wallpapers folder"
 ;;
esac

case "$1" in
	choose)
	 wallpaper="$(~/.scripts/choosefile.py file "$wtitlefile")"
	 [ -n "$wallpaper" ] && echo "$wallpaper" > ~/.config/wallpaper
	;;
	random)
	 rm ~/.config/wallpaper
	 wallpaper="$(find $(<~/.config/wallpapers-folder) -type f |sort -R |tail -1)"
	;;
	folder)
	 rm ~/.config/wallpaper
	 wallpapers_folder="$(~/.scripts/choosefile.py folder "$wtitlefolder")"
	 if [ -n "$wallpapers_folder" ];then
	  echo "$wallpapers_folder" > ~/.config/wallpapers-folder
	  wallpaper="$(find $(<~/.config/wallpapers-folder) -type f |sort -R |tail -1)"
	 fi
	;;
	*)
	 echo 'This script accepts the following arguments: choose, folder, random.'
	;;
esac

if [ -n "$wallpaper" ];then
	feh --bg-scale "$wallpaper"
	sed -i "s|^wallpaper=.*$|wallpaper=$wallpaper|" ~/.config/pcmanfm/default/pcmanfm.conf
	grep -E '^pcmanfm --desktop' ~/.config/openbox/autostart.sh &>/dev/null && pcmanfm -w "$wallpaper"
fi
