#!/bin/bash
# Released under the WTFPL, without any warranty of any kind.

setwallpaper() {
	if [ ! -e ~/.config/wallpaper ];then
		wallpaper="$(find $(<~/.config/wallpapers-folder) -type f |sort -R |tail -1)"
	else
		wallpaper="$(<~/.config/wallpaper)"
	fi
	feh --bg-scale "$wallpaper"
	sed -i "s|^wallpaper=.*$|wallpaper=$wallpaper|" ~/.config/pcmanfm/default/pcmanfm.conf
	if grep -qE '^pcmanfm --desktop' ~/.config/openbox/autostart.sh &>/dev/null;then
	 pcmanfm --desktop-off
	 pcmanfm -w "$wallpaper"
	 pcmanfm --desktop &
	fi
}

case "$1" in
	dark)
		cp ~/.config/fbpanel/arch{-blue,}.png
		cp ~/.xchat2/{colors-dark.conf,colors.conf}
		sed -i 's|userStyleSheet=.*$|userStyleSheet=@Variant(\\0\\0\\0\\x11\\0\\0\\0\\x'"$[30+${#USER}]"'\\x66ile://'"$HOME"'/.config/arora-browser.org/dark.css)|' \
		~/.config/arora-browser.org/Arora.conf
		:> ~/.config/midori/extensions/libaddons.so/addons
		sed -i 's/tintcolor = #f2f2f2/tintcolor = #000000/
			s/Color = #111111/Color = #1068a0/' ~/.config/fbpanel/default
		sed -i 's/URxvt\*scrollColor: #cccccc/URxvt*scrollColor: #7ba2d2/
			s|icons/Black-White-mix|icons/Azenis|' ~/.Xdefaults
		sed -i 's/gtk-theme-name=".*"/gtk-theme-name="OverglossedHybrid"/
			s/gtk-icon-theme-name=".*"/gtk-icon-theme-name="Azenis"/' ~/.gtkrc-2.0
		~/.scripts/reloadgtk
		killall -USR1 fbpanel
		echo "$HOME/Wallpapers/Dark" > ~/.config/wallpapers-folder
		setwallpaper
	;;
	bright)
		cp ~/.config/fbpanel/arch{-black,}.png
		cp ~/.xchat2/{colors-bright.conf,colors.conf}
		sed -i 's|userStyleSheet=.*$|userStyleSheet=@Variant(\\0\\0\\0\\x11\\xff\\xff\\xff\\xff)|' \
		~/.config/arora-browser.org/Arora.conf
		echo -e '\n[styles]\n'"$HOME"'/.local/share/midori/styles/dark.css=1'> ~/.config/midori/extensions/libaddons.so/addons
		sed -i 's/tintcolor = #000000/tintcolor = #f2f2f2/
			s/Color = #1068a0/Color = #111111/' ~/.config/fbpanel/default
		sed -i 's/URxvt\*scrollColor: #7ba2d2/URxvt*scrollColor: #cccccc/
			s|icons/Azenis|icons/Black-White-mix|' ~/.Xdefaults
		sed -i 's/gtk-theme-name=".*"/gtk-theme-name="SlicknesS"/
			s/gtk-icon-theme-name=".*"/gtk-icon-theme-name="Black-White-mix"/' ~/.gtkrc-2.0
		~/.scripts/reloadgtk
		killall -USR1 fbpanel
		echo "$HOME/Wallpapers/Bright" > ~/.config/wallpapers-folder
		setwallpaper
	;;
	*)
		echo 'This script accepts the following arguments: dark, bright'
	;;
esac
