#!/bin/sh
# Released under the WTFPL, without any warranty of any kind.

function setdefault() {
	sed -i 's/tint2/fbpanel/g' ~/.config/openbox/autostart.sh
}

function fbnohide() {
	sed -i 's/autohide = true/autohide = false/' ~/.config/fbpanel/default
}

function fbhidden() {
	sed -i 's/autohide = false/autohide = true/' ~/.config/fbpanel/default
}

function refresh() {
	killall tint2
	killall fbpanel
	fbpanel &
}


case "$1" in
	setnohide)
		setdefault
		fbnohide
		refresh
	;;
	sethidden)
		setdefault
		fbhidden
		refresh
	;;
	config)
		setdefault
		killall tint2
		killall fbpanel
		fbpanel --configure &
	;;
	*)
		echo 'This script accepts the following arguments: setnohide, sethidden, config'
	;;
esac
